httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Gruno <humbed...@apache.org>
Subject Re: [users@httpd] Apache httpd 2.4.27 SSL
Date Sun, 20 Aug 2017 14:45:12 GMT
On 08/20/2017 04:36 PM, Fady Haikal wrote:
> Dear Team,
> I have installed httpd 2.4.27 with SSL and while trying to verify the
> httpd-ssl.com <http://httpd-ssl.com> file the below error appear but the
> server can be started normally and accessible through https:
> 
> AH00526: Syntax error on line 52 of
> /Apache/httpd-2.4.27/conf/extra/httpd-ssl.conf:
> Invalid command 'SSLCipherSuite', perhaps misspelled or defined by a
> module not included in the server configuration
> 
> After deep troublshooting, the httpd-ssl file will be veified correctly
> 'Syntax Ok' if we moved all the configuration of loading the modules
> from httpd.conf to httpd-ssl.conf (eg. LoadModule ssl_module
> modules/mod_ssl.so)

This is likely a simple lexicographic ordering issue.
httpd-ssl.conf may be loaded before httpd.conf, in which case the
modules haven't been loaded before you use their directives. In order to
further debug the issue, you would have to share your layout of the
config dir as well as the distro you use for the system (debian, arch,
ubuntu, fedora etc).

With regards,
Daniel.

> 
> Please let me know if this is the correct configuration on the new
> versions or its a bug on this version
> 
> Regards,
> Fady
> 


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message